MEMCPY(9) | Kernel Developer's Manual | MEMCPY(9)

# NAME

`memcpy` —
copy byte string

# SYNOPSIS

`#include <sys/systm.h>`

void *
`memcpy`(void * restrict dst, const void * restrict src, size_t len);

# DESCRIPTION

The `memcpy`() function copies len bytes from string src to string dst. The arguments must not overlap — behavior if the arguments overlap is undefined. To copy byte strings that overlap, use memmove(9).

# RETURN VALUES

The `memcpy`() function returns the original value of dst.

# SEE ALSO

memmove(9)

# STANDARDS

The `memcpy`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

January 2, 2012 | NetBSD 9.4